import { U as t, V as a, W as s } from "./index-DSGwv2Yx.js";
function i(n, r, o) {
  if (t(n), r != null && r.length !== 4)
    throw new Error("tensor4d() requires shape to have four numbers");
  const e = a(n, o);
  if (e.length !== 4 && e.length !== 1)
    throw new Error("tensor4d() requires values to be number[][][][] or flat/TypedArray");
  if (e.length === 1 && r == null)
    throw new Error("tensor4d() requires shape to be provided when `values` are a flat array");
  return s(n, r, e, o);
}
export {
  i as t
};
